# std::auto_ptr::operator*, std::auto_ptr::operator->

From cppreference.com
< cpp‎ | memory‎ | auto ptr

T& operator*() const; | (1) | (deprecated)
T* operator->() const; | (2) | (deprecated)

Dereferences a pointer to the managed object. The first version requires get() != 0.

### Parameters

(none)

### Return value

1) *get().
2) get().

### Exceptions

(none)

### See also

get | returns a pointer to the managed object (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/memory/auto_ptr/operator*&oldid=58299"